## org.apache.aries.subsystem.core.internal
Class AbstractRequirement

    java.lang.Object
      org.apache.aries.subsystem.core.internal.AbstractRequirement

All Implemented Interfaces:
  org.osgi.resource.Requirement

Direct Known Subclasses:
  BasicRequirement, DeployedContentRequirement, ImportPackageRequirement, OsgiIdentityRequirement, PreferredProviderRequirement, ProvisionResourceRequirement, RequireBundleRequirement, RequireCapabilityRequirement, SubsystemContentRequirement, SubsystemImportServiceRequirement

    public abstract class AbstractRequirement

extends Object
implements org.osgi.resource.Requirement

Constructor Summary
`AbstractRequirement()`

Method Summary
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.osgi.resource.Requirement
`getAttributes, getDirectives, getNamespace, getResource`

Constructor Detail

### AbstractRequirement

    public AbstractRequirement()

Method Detail

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `org.osgi.resource.Requirement`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `org.osgi.resource.Requirement`
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.